## Apache Zeta Components Manual :: File Source for internal_redirect.php

## Source for file internal_redirect.php

Documentation is available at internal_redirect.php

1. <?php
2. /**
3. * File containing the ezcMvcInternalRedirect class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package MvcTools
26. */
28. /**
29. * The internal redirect object holds a new request object for the next
30. * iteration in the dispatcher.
31. *
32. * @package MvcTools
33. * @version //autogentag//
34. */
35. class ezcMvcInternalRedirect extends ezcBaseStruct
36. {
37. /**
38. * The new request object
39. *
40. * @var ezcMvcRequest
41. */
42. public $request ;
44. /**
45. * Constructs a new ezcMvcInternalRedirect
46. *
47. * @param ezcMvcRequest $request
48. */
49. public function __construct ( $request = null )
50. {
51. $this-> request = $request;
52. }
54. /**
55. * Returns a new instance of this class with the data specified by $array.
56. *
57. * $array contains all the data members of this class in the form:
58. * array('member_name'=>value).
59. *
60. * __set_state makes this class exportable with var_export.
61. * var_export() generates code, that calls this method when it
62. * is parsed with PHP.
63. *
64. * @param array(string=>mixed) $array
65. * @return ezcMvcRequest
66. */
67. static public function __set_state ( array $array )
68. {
69. return new ezcMvcInternalRedirect( $array['request'] );
70. }
71. }
72. ?>

Documentation generated by phpDocumentor 1.4.3